
From: "Antonino A. Daplas" <adaplas@gmail.com>

Fix compile error if CONFIG_FB_I810_I2C is 'y' and CONFIG_I2C = 'm'.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/Kconfig |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/video/Kconfig~fbdev-kconfig-fix drivers/video/Kconfig
--- devel/drivers/video/Kconfig~fbdev-kconfig-fix	2005-09-10 18:02:03.000000000 -0700
+++ devel-akpm/drivers/video/Kconfig	2005-09-10 18:02:03.000000000 -0700
@@ -753,7 +753,8 @@ config FB_I810_GTF
 
 config FB_I810_I2C
 	bool "Enable DDC Support"
-	depends on FB_I810 && I2C && FB_I810_GTF
+	depends on FB_I810 && FB_I810_GTF
+	select I2C
 	select I2C_ALGOBIT
 	help
 
_
